# mongoc_gridfs_file_get_id()

## Synopsis

    const bson_value_t *
    mongoc_gridfs_file_get_id (mongoc_gridfs_file_t *file);

## Parameters

file | A mongoc_gridfs_file_t.

## Description

Fetches the id of a gridfs file.

The C Driver always uses an ObjectId for _id, but files created by other drivers may have any type of _id.

## Returns

Returns a const bson_value_t * that should not be modified or freed.